Package org.apache.lucene.store

# Class AlreadyClosedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalStateException
org.apache.lucene.store.AlreadyClosedException

All Implemented Interfaces:
  `Serializable`

public class AlreadyClosedException extends IllegalStateException
This exception is thrown when there is an attempt to access something that has already been closed.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AlreadyClosedException(String message)`
`AlreadyClosedException(String message, Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AlreadyClosedException

public AlreadyClosedException(String message)

### AlreadyClosedException

public AlreadyClosedException(String message, Throwable cause)